{% load static %}
<!DOCTYPE html>
<html>
	<head><title> Awaiting Order - DeliBell </title>
		<link rel = "stylesheet" type = "text/css" href = "{% static 'delibell/css/confirm.css' %}" />
		<link href='http://fonts.googleapis.com/css?family=Lato:400,700' rel='stylesheet' type='text/css'>
		<link rel="shortcut icon" href="{% static 'delibell/assets/LOGO.png' %}" />

		
	</head>
	<body>
		<audio id="alert_sound" src="{% static 'delibell/audio/alert_sound.mp3' %}" preload="auto"></audio>
		<header>
			<div class ="deli"> <img src ="{% static 'delibell/assets/LOGO.png' %}" width = 50px height = 50px></div>
			<ul class="navi">				
				{% if user.is_authenticated %}
					<li><a href="/logout">Logout</a></li>
					<li><a href="/myaccount">{{ user.username }}</a></li>
				{% endif %}
				<li><a href="/about">About Us</a></li>		
				<li> <a class="active" href="/">
					{% if profile.has_order %}
						Check Order
					{% else %}
						Place Order
					{% endif %}
				</a></li>
				<li><a href="https://docs.google.com/forms/d/1MsxTxuuUSTFgkRKUJQqOhZu5bx2r-T5yisDXPnbTTQI/edit" target="_blank"> Feedback </a></li>	

			</ul>
		</header>
		<center>
		<div>
		<h1>Awaiting your order.</h1></div>
		<div class="container">
		<table cellpadding="10" align = "center" class = "table">
			<tr>
				<td class="table_style">Name</td><td class="entry">{{ profile.order_name }}</td>  
			</tr>
		<br>
			<tr>
				<td class="table_style">Room</td><td class="entry">{{ profile.order_room }}</td>
			</tr>
       	<br>
			<tr>
				<td class="table_style">Food Chain</td><td class="entry">{{ profile.order_foodchain }}
				</td>
			</tr>
       	<br>		
       		<tr>
				<td class="table_style">Status</td><td class="entry" id="rpi_status" style="text-decoration: none;">
				</td>
			</tr>
       	<br>		
		</table>
		<br>
		<br>
		<br>
		<button class="cancel" type="submit" onclick="confirmCancelOrder()">CANCEL</button>
		<!-- <button class="button" type="submit" onclick="OrderStatus()">Is My Order Here? </button> -->

		</p>
		</div>		
		</center>


		<script type="text/javascript">
		function confirmCancelOrder() {
    		var ask = window.confirm("Cancel pending order?");
    		if (ask)
    			document.location.href = "/cancel_order";
    		}
    	/*function OrderStatus() {
	    	document.location.href = "/check_order";
	    }*/
			window.onload = function(){
				session_user = '{{ profile.user.username }}'
		    	{% if profile.order_arrived %}
		    		alert();
    			{% else %}
    				// open websocket
    				var ws = new WebSocket(((window.location.protocol == 'http:') ? 'ws://' : 'wss://') +  window.location.host + '/')
    				// handler when connected
    				ws.onopen = function() {
						this.send(session_user + 'CONN');
						}
					// handler when message is received
					ws.onmessage = function(message) {
						message_user = message.data.split(" ")[0];
						if(session_user == message_user){
							message_token = message.data.split(" ")[1];
							if(message_token == 'SEEN'){
								seen_by_rpi();
							}
							else if (message_token == 'PING'){
								alert();
							}
							else if (message_token == 'BUZZ'){
								document.getElementById("alert_sound").play();
							}
						}
					}
					{% if profile.order_seen_by_rpi %}
						seen_by_rpi();
					{% else %}
						sent_to_rpi();
					{% endif %}
		    	{% endif %}
		  };
		  alert = function(){
				document.getElementById("alert_sound").play()
		    	ask = window.confirm("Your order is here! Click OK if you have received your order. Otherwise click Cancel");
    			if (ask)
    				document.location.href = "/order_arrived";
    			else
    				document.location.href = "/wrong_order";

		  };
		  seen_by_rpi = function(){
		  	document.getElementById("rpi_status").innerHTML = '<font size="3px"><b> SEEN BY DELIBELL </b></font>&nbsp<img src ="{% static 'delibell/assets/check-blue.png' %}" width = 15px height = 15px>';
		  };
		  sent_to_rpi = function(){
		  	document.getElementById("rpi_status").innerHTML = '<font size="3px"><b> SENT TO DELIBELL </b></font>&nbsp<img src ="{% static 'delibell/assets/check-green.png' %}" width = 15px height = 15px>';
		  };

		</script>
	</body>
</html>